package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

public class TabHaobanTemplateEnterpriseRelation implements Serializable {
    private String templateEnterpriseRelationId;

    private String wxEnterpriseId;

    private String applicationTemplateId;

    private Integer statusFlag;
    
    private String wxEnterpriseName;

    private Date createTime;

    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public String getTemplateEnterpriseRelationId() {
        return templateEnterpriseRelationId;
    }

    public void setTemplateEnterpriseRelationId(String templateEnterpriseRelationId) {
        this.templateEnterpriseRelationId = templateEnterpriseRelationId == null ? null : templateEnterpriseRelationId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getApplicationTemplateId() {
        return applicationTemplateId;
    }

    public void setApplicationTemplateId(String applicationTemplateId) {
        this.applicationTemplateId = applicationTemplateId == null ? null : applicationTemplateId.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getWxEnterpriseName() {
		return wxEnterpriseName;
	}

	public void setWxEnterpriseName(String wxEnterpriseName) {
		this.wxEnterpriseName = wxEnterpriseName;
	}
    
    
}